Updates the project features

Updates features for a project identified by projectId.
When configurations are updated, those configuration properties provided in the request will override existing
properties while properties not provided in the request are left unchanged.

Supported project features are:

  • data.shipments.autoStartLimitBefore and data.shipments.autoStartLimitAfter: Defines time range in minutes
    before and after of shipment's providedEtd when shipment is allowed to be auto-started. With the time range
    not defined, or both values set to -1 the time window is disabled and auto-start is allowed at any time.
  • data.shipments.enableStateChangeEvents: If set to true, publishing shipment state change events to cold storage and output stream is enabled for all shipments in the project.
  • data.shipments.ongoingRetentionPeriod: In case a shipment does not complete within this period of time,
    it will be cancelled automatically. If this setting is not set, a default of 2 weeks is used as a shipment's
    ongoing retention period. The retention period is set in hours.

Example:

"data": {
  "shipments": {
    "autoStartLimitAfter": 60,
    "autoStartLimitBefore": 60,
    "ongoingRetentionPeriod": 168
  },
}
Query Params
string
length between 1 and 50

Project ID.
Any HERE Tracking user must be a member of a Tracking project.
The project ID can be implicitly resolved if the user calling the API is a member of a single project.
If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Body Params
data
object

Object describing project features

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses
204

Successful (no content)

言語
認証情報
URL
LoadingLoading…
応答
試してみる!をクリックしてリクエストを開始し、こちらで応答をご確認ください! または例を選択:
application/json